import React from "react";
import { Widget, WidgetKind } from "matrix-widget-api";
interface IProps {
    widget: Widget;
    widgetKind: WidgetKind;
    inRoomId?: string;
    onFinished(allowed?: boolean): void;
}
interface IState {
    rememberSelection: boolean;
}
export default class WidgetOpenIDPermissionsDialog extends React.PureComponent<IProps, IState> {
    constructor(props: IProps);
    private onAllow;
    private onDeny;
    private onPermissionSelection;
    private onRememberSelectionChange;
    render(): React.ReactNode;
}
export {};
